/* FLASH.C - LED Flasher for Phytecs Rapid Development Kits                   */

#include <reg167.h>                    /* include 80C167 header file          */

sbit P2_8 = P2^8;                      /* declare portpin to use              */
sbit DP2_8 = DP2^8;                    /* declare direction bit to use        */

void wait (void)  {                    /* wait function                       */
  ;                                    /* only to delay for LED flashes       */
}

void main (void)  {
  unsigned long i;                     /* delay var                           */

  DP2_8 = 1;                           /* init direction to output            */

  while (1) {                          /* loop forever                        */

    P2_8 = 0;                          /* output to LED port                  */
    for (i=0; i<15000; i++) {         /* delay for 150000 counts             */
      wait ();                         /* call wait function                  */
    }

    P2_8 = 1;                          /* output to LED port                  */
    for (i=0; i<15000; i++) {         /* delay for 150000 counts             */
      wait ();                         /* call wait function                  */
    }
  }
}

